#!/bin/sh

# Adapt gconf to bind djvu files with uds
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/bin/cp -f /media/mmcblk0p1/Programs/_djvuplugin/files/djvu.schemas /etc/gconf/schemas/djvu.schemas
gconftool-2 --makefile-install-rule /etc/gconf/schemas/djvu.schemas

# If the schema was already installed make sure it gets the correct value
gconftool-2 --type list --list-type=string --set /apps/er/sys/ctb/filetypes/doc-djvu/extensions "[djvu,djv]"
gconftool-2 --type string --set /apps/er/sys/ctb/filetypes/doc-djvu/icon_name "djvu"
gconftool-2 --type string --set /apps/er/sys/ctb/filetypes/doc-djvu/viewer_cmd "uds"

# Create Backup of dr1000.ini
/bin/cp -f /media/mmcblk0p1/System/dr1000.ini /media/mmcblk0p1/System/dr1000.djvu.ini
# and save current settings to disk
/usr/bin/erconftool -e /apps/er

# remove mobipocket, seems to interfere with djvu plugin
if [ ! -e /media/mmcblk0p1/Programs/_djvuplugin/bak/libuds-plugin-mobipocket.so ]
then
	/bin/cp /usr/lib/uds/libuds-plugin-mobipocket.so                              /media/mmcblk0p1/Programs/_djvuplugin/bak/
fi
   
/bin/rm /usr/lib/uds/libuds-plugin-mobipocket.so

# Copy the djvu-filetype icons
/bin/cp -f /media/mmcblk0p1/Programs/_djvuplugin/files/icon-djvu-medium.png      /usr/share/ctb/icon-djvu-medium.png
/bin/cp -f /media/mmcblk0p1/Programs/_djvuplugin/files/icon-djvu-mini.png        /usr/share/ctb/icon-djvu-mini.png
/bin/cp -f /media/mmcblk0p1/Programs/_djvuplugin/files/icon-djvu-small.png       /usr/share/ctb/icon-djvu-small.png

# Copy the extra libraries needed for the plugin
/bin/cp -f /media/mmcblk0p1/Programs/_djvuplugin/files/libuds-plugin-djvu.so     /usr/lib/uds/libuds-plugin-djvu.so
/bin/cp -f /media/mmcblk0p1/Programs/_djvuplugin/files/libdjvulibre.so.21        /usr/lib/libdjvulibre.so.21

/sbin/reboot
sleep 31
